import { OnInit } from '@angular/core';
import { MenuService } from '../menu/menu.service';
import { MenuItemModel } from '../menu/menu.model';
import { FetchService } from '../../../net/fetch.service';
import { ViewportBase } from '../base/viewport-base';
import { UniversalService } from '../../../util/universal.service';
export declare class DefaultViewportComponent extends ViewportBase implements OnInit {
    protected universalService: UniversalService;
    protected menuService: MenuService;
    protected fetchService: FetchService;
    sideMenuVisible: boolean;
    sideMenuData: any;
    appTitle: string;
    logoSource: string;
    noticeCenter: any;
    header: any;
    sideMenu: any;
    constructor(universalService: UniversalService, menuService: MenuService, fetchService: FetchService);
    ngOnInit(): void;
    toggleSideMenu(): void;
    openNotifyCenter(): void;
    activeTopMenu(item: MenuItemModel): void;
    updateSideMenu(item: MenuItemModel): void;
}
