import { Component, OnInit } from '@angular/core';
import { FetchService } from '../../../net/fetch.service';
import { MenuService } from '../menu/menu.service';
import { ViewportBase } from '../base/viewport-base';
import { NaviBreadcrumpService } from './navi-breadcrump/navi-breadcrump.service';
import { UniversalService } from '../../../util/universal.service';
export declare class HeaderDropViewportComponent extends ViewportBase implements OnInit {
    protected universalService: UniversalService;
    protected menuService: MenuService;
    protected fetchService: FetchService;
    private naviBreadcrumpService;
    appTitle: string;
    logoSource: string;
    logoLinkUrl: string;
    noticeCenter: any;
    drawer: any;
    header: any;
    constructor(universalService: UniversalService, menuService: MenuService, fetchService: FetchService, naviBreadcrumpService: NaviBreadcrumpService);
    ngOnInit(): void;
    openNotifyCenter(): void;
    onRouterOutletActivate(component: Component): void;
}
