import { EventEmitter, OnInit } from '@angular/core';
import { MenuService } from '../../menu/menu.service';
import { MenuItemModel } from '../../menu/menu.model';
import { Router } from '@angular/router';
export declare class HeaderComponent implements OnInit {
    private router;
    private menuService;
    appTitle: string;
    logoSource: string;
    flatMenuItems: Array<MenuItemModel>;
    iconMenuItems: Array<MenuItemModel>;
    userName: any;
    userImageUrl: any;
    currentMainComponent: any;
    logoLinkUrl: string;
    readonly sideMenuToggle: EventEmitter<boolean>;
    readonly notifyCenterOpen: EventEmitter<boolean>;
    readonly activeMenuItem: EventEmitter<MenuItemModel>;
    selectedTopMenuItem: MenuItemModel;
    constructor(router: Router, menuService: MenuService);
    ngOnInit(): void;
    onNotifyCenterOpen(): void;
    logoOnClick(): void;
}
