import { OnInit } from '@angular/core';
import { MatDrawer } from '@angular/material';
import { MiniSideMenuComponent } from './mini-side-menu/mini-side-menu.component';
import { NormalSideMenuComponent } from './normal-side-menu/normal-side-menu.component';
export declare class SideMenuComponent implements OnInit {
    sideMenuData: any;
    initMode: 'expand' | 'collapse';
    drawer: MatDrawer;
    normalSideMenu: MiniSideMenuComponent;
    miniSideMenu: NormalSideMenuComponent;
    expanded: boolean;
    readonly opened: boolean;
    ngOnInit(): void;
    setSideMenuVisible(visible: boolean): void;
    expand(): void;
    collapse(): void;
    toggleVisible(): void;
    toggle(): void;
    updateContent(): void;
}
