import { HttpInterceptor, HttpHandler } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Router } from '@angular/router';
import { NotifyService } from '../../shared/components/notification/notify.service';
export declare class BaseInterceptor implements HttpInterceptor {
    private router;
    private notifyService;
    private baseUrl;
    constructor(router: Router, notifyService: NotifyService);
    intercept(req: any, next: HttpHandler): Observable<any>;
    private handleResponse;
    private handleResponseError;
}
