import { Router } from '@angular/router';
import { MenuService } from '../layout/viewport/menu/menu.service';
export declare class UniversalService {
    private router;
    private menuService;
    static ROUTE_ACTIVATE: boolean;
    private _loginTitle;
    private _appTitle;
    private _logoSrc;
    loginTitle: string;
    appTitle: string;
    logoSrc: string;
    private routeHistory;
    /**
     * TODO: get version from package.json after v1.0.0 release
     */
    version: string;
    info: string;
    fontsetMap: Map<string, string>;
    preventTopActive: boolean;
    constructor(router: Router, menuService: MenuService);
    private printInfo;
    private bindMenuToRouter;
    getRouterHistory(): Array<string>;
    getPreviousRoute(): string;
    pushRouteHistory(url: string): void;
    getUserName(): string;
    getUserImage(): string;
    isLoggedIn(): boolean;
    private getUserProfile;
    registerFontIcon(prefix: string, fontset: string): void;
    getFontsetByPrefix(iconName: string): string;
}
