import { Observable } from 'rxjs';
export declare class UtilService {
    defaultValue(a: any, b: any): any;
    createGuid(): string;
    /**
     * 转换数组为树形结构
     *
     * @param data 待处理数据对象
     * @param options 数据选项
     * @returns Observable<T>
     */
    flat2Nested<T>(data: Array<T>, options: TreeNodeOptions): Observable<T>;
}
export interface TreeNodeOptions {
    idProperty?: string;
    pathProperty?: string;
    parentIdProperty?: string;
    sortProperty?: string;
    childrenProperty?: string;
    rootId: any;
    pathSeparator?: string;
    filterProperties?: Array<string>;
    filterValues?: Array<string>;
    depth?: number;
}
