import { EventEmitter } from '@angular/core';
import { BreadcrumpItemModel } from './breadcrump-item.model';
import { Observable } from 'rxjs';
export declare class BreadcrumbComponent {
    rootLabel: string;
    model: string;
    restrictLevel: number;
    selectedItem: BreadcrumpItemModel;
    dataSource: Observable<BreadcrumpItemModel | Array<BreadcrumpItemModel>>;
    readonly active: EventEmitter<BreadcrumpItemModel>;
    readonly selectedTrigger: EventEmitter<{
        item: BreadcrumpItemModel;
        hasMenu: boolean;
    }>;
    flatBreadcrumpItems: Array<BreadcrumpItemModel>;
    selectedItems: Array<BreadcrumpItemModel>;
    _selectedItem: BreadcrumpItemModel;
    _initialized: boolean;
    _maxLevel: number;
    private flatConvert;
    private addRoot;
    private cleanUnsatisfy;
    private updateSelection;
    private getItemsByLevel;
    private getItemById;
    private getSubItems;
    private getSelectedItem;
    onActive(item: BreadcrumpItemModel): void;
    onTrigger(item: BreadcrumpItemModel, hasMenu: boolean): void;
}
export declare class BreadcrumbNestedMenuComponent {
    item: BreadcrumpItemModel;
    breadcrumpItems: Array<BreadcrumpItemModel>;
    restrictLevel: number;
    readonly active: EventEmitter<BreadcrumpItemModel>;
    getItemsByLevel(level: number): Array<BreadcrumpItemModel>;
    updateSelection(item: BreadcrumpItemModel): void;
}
