import { EventEmitter } from '@angular/core';
import { CascadeSelectItemModel } from '../cascade-select.service';
export declare class CascadeSelectHistoryComponent {
    /**
     * 传入的近期选择列表
     */
    latestSelections: Array<CascadeSelectItemModel>;
    /**
     * 选中近期选择中的选项
     */
    chooseLatestItem: EventEmitter<{}>;
    /**
     * 移除近期选择中的选项
     */
    removeLatestItem: EventEmitter<{}>;
    getSelectedItem(item: CascadeSelectItemModel): void;
    removeSelectedItem(item: CascadeSelectItemModel): void;
}
