import { AfterContentInit, ChangeDetectorRef, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { CascadeSelectComponent } from '../cascade-select.component';
import { MatButton } from '@angular/material';
export declare class CascadeSelectToggleComponent implements OnChanges, OnDestroy, AfterContentInit {
    private _changeDetectorRef;
    private _stateChanges;
    for: CascadeSelectComponent;
    /** Whether the toggle button is disabled. */
    disabled: boolean;
    private _disabled;
    _button: MatButton;
    constructor(_changeDetectorRef: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    ngAfterContentInit(): void;
    _open(event: Event): void;
    _clear(event: Event): void;
    private _watchStateChanges;
    _hasValue(): boolean;
}
