export interface CascadeSelectItemModel {
    id?: string;
    pid?: string;
    name?: string;
    level?: number;
    idPath?: string;
    children?: Array<CascadeSelectItemModel>;
    [key: string]: any;
}
export declare class SelectedModel {
    label: Array<string>;
    value: Array<string>;
}
export declare class CascadeSelectService {
    getSelectableList(ds: Array<CascadeSelectItemModel>, value?: Array<string>, id?: string): Array<Array<CascadeSelectItemModel>>;
    getSelectedItems(list: Array<Array<CascadeSelectItemModel>>, selectedIdList: Array<string>, multiple?: boolean): Array<CascadeSelectItemModel>;
    item2Value(item: Array<CascadeSelectItemModel>): SelectedModel;
    private getSelectedItemById;
    private getListById;
}
