import { OnInit, EventEmitter } from '@angular/core';
import { FieldControl, UPDynamicFormFieldConfig } from '../../interface/up-dynamic-form-field-config';
import { FormGroup, FormControl } from '@angular/forms';
import { FloatLabelType, MatAutocompleteSelectedEvent } from '@angular/material';
export declare class FieldControlAutoCompleteComponent implements OnInit, FieldControl<any> {
    fieldConfig: UPDynamicFormFieldConfig<any>;
    properties: any;
    form: FormGroup;
    control: FormControl;
    floatLabel: FloatLabelType;
    valueChange: EventEmitter<any>;
    _isSelectedToClose: boolean;
    ngOnInit(): void;
    closed: () => void;
    optionSelected: (event: MatAutocompleteSelectedEvent) => void;
    displayWith: (option?: {
        label: string;
        value: any;
    }) => string;
}
