import { OnInit, ComponentFactoryResolver, ViewContainerRef } from '@angular/core';
import { UPDynamicFormFieldConfig } from '../interface/up-dynamic-form-field-config';
import { FormGroup, FormControl } from '@angular/forms';
export declare class DynamicFormFieldComponent implements OnInit {
    private readonly componentFactoryResolver;
    fieldConfig: UPDynamicFormFieldConfig<any>;
    form: FormGroup;
    control: FormControl;
    field: ViewContainerRef;
    constructor(componentFactoryResolver: ComponentFactoryResolver);
    ngOnInit(): void;
    defaultFieldConfig: (fieldConfig: UPDynamicFormFieldConfig<any>) => void;
    getError: () => string;
    getTopClass: () => string;
    hasError: () => boolean;
}
