import { OnInit } from '@angular/core';
import { SatPopover } from '@ncstate/sat-popover';
export interface SelectModel {
    id: string;
    label: string;
    value: string;
}
export declare class InlineEditComponent implements OnInit {
    popover: SatPopover;
    suffix: string;
    title: string;
    value: any;
    isMultiple: boolean;
    private _title;
    private _value;
    /** Form model for the input. */
    selectData: Array<SelectModel>;
    treeData: any[];
    comment: string;
    constructor(popover: SatPopover);
    ngOnInit(): void;
    onSubmit(): void;
    onCancel(): void;
}
