import { AfterViewInit, EventEmitter, OnInit, Renderer2, TemplateRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
export declare class RateComponent implements OnInit, ControlValueAccessor, AfterViewInit {
    private renderer;
    private _allowClear;
    private _allowHalf;
    private _disabled;
    private _count;
    private _value;
    private _autoFocus;
    character: TemplateRef<void>;
    readonly rateOnBlur: EventEmitter<FocusEvent>;
    readonly rateOnFocus: EventEmitter<FocusEvent>;
    readonly keyDown: EventEmitter<KeyboardEvent>;
    readonly hoverChange: EventEmitter<number>;
    private ulElement;
    prefixCls: string;
    isInit: boolean;
    hasHalf: boolean;
    innerPrefixCls: string;
    classMap: any;
    starArray: Array<number>;
    hoverValue: number;
    isFocused: boolean;
    floatReg: RegExp;
    onChange: (value: number) => void;
    onTouched: () => void;
    autoFocus: boolean;
    count: number;
    allowHalf: boolean;
    allowClear: boolean;
    value: number;
    disabled: boolean;
    setClassMap(): void;
    updateAutoFocus(): void;
    clickRate(e: MouseEvent, index: number, isFull: boolean): void;
    hoverRate(e: MouseEvent, index: number, isFull: boolean): void;
    leaveRate(e: MouseEvent): void;
    onFocus(e: FocusEvent): void;
    onBlur(e: FocusEvent): void;
    focus(): void;
    blur(): void;
    onKeyDown(e: KeyboardEvent): void;
    setClasses(i: number): object;
    updateStarArray(): void;
    writeValue(value: number | null): void;
    registerOnChange(fn: (_: number) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
}
