import { AbstractControl, ValidationErrors, ValidatorFn } from '@angular/forms';
export declare class ExtensionValidators {
    static noWhitespace(control: AbstractControl): ValidationErrors | undefined;
    static noEmptyString(control: AbstractControl): ValidationErrors | undefined;
    static isNumber(control: AbstractControl): ValidationErrors | undefined;
    static isInLengthRange(minValue: number, maxValue: number): ValidatorFn;
    static isInNumberRange(minValue: number, maxValue: number): ValidatorFn;
    static identityCard(control: AbstractControl): ValidationErrors | undefined;
    static realName(control: AbstractControl): ValidationErrors | null;
    private static isNotPresent;
}
