import { Component } from '@angular/core';
import { MenuService } from '../menu/menu.service';
import { MenuItemModel } from '../menu/menu.model';
import { UniversalService } from '../../../util/universal.service';
import { FetchService } from '../../../net/fetch.service';
export declare class ViewportBase {
    protected universalService: UniversalService;
    protected menuService: MenuService;
    protected fetchService: FetchService;
    userName: string;
    userImageUrl: string;
    topFlatMenuItems: Array<MenuItemModel>;
    topIconMenuItems: Array<MenuItemModel>;
    currentMainComponent: Component;
    hideNaviBreadcrump: boolean;
    initLoading: boolean;
    readonly routeActivating: boolean;
    constructor(universalService: UniversalService, menuService: MenuService, fetchService: FetchService);
    onInit(): void;
    onRouterOutletDeactivate(component: Component): void;
    onRouterOutletActivate(component: Component): void;
}
