import { ElementRef, EventEmitter, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { Overlay } from '@angular/cdk/overlay';
import { MenuService } from '../../menu/menu.service';
import { MenuItemModel } from '../../menu/menu.model';
import { DeactivateGuard } from '../../../../route/deactivate-guard';
import { UniversalService } from '../../../../util/universal.service';
export declare class HeaderComponent implements OnInit {
    private overlay;
    private router;
    private menuService;
    private universalService;
    private deactivateGuard;
    appTitle: string;
    logoSource: string;
    flatMenuItems: Array<MenuItemModel>;
    iconMenuItems: Array<MenuItemModel>;
    userName: any;
    userImageUrl: any;
    currentMainComponent: any;
    readonly sideMenuToggle: EventEmitter<boolean>;
    readonly notifyCenterOpen: EventEmitter<boolean>;
    readonly activeMenuItem: EventEmitter<MenuItemModel>;
    toggleButtonRef: ElementRef;
    selectedTopMenuItem: MenuItemModel;
    constructor(overlay: Overlay, router: Router, menuService: MenuService, universalService: UniversalService, deactivateGuard: DeactivateGuard);
    ngOnInit(): void;
    onSideMenuToggle(): void;
    onNotifyCenterOpen(): void;
    onMenuItemActive(item: MenuItemModel): void;
}
