export declare class NaviBreadcrumpService {
    breadcrumpSuffix: BreadcrumpSuffixModel | null;
    registerBreadcrumpSuffix(item: BreadcrumpSuffixModel): void;
    clearBreadcrumpSuffix(): void;
    getBreadcrumpSuffix(): BreadcrumpSuffixModel;
    hasBreadcrumpSuffix(): boolean;
}
export interface BreadcrumpSuffixModel {
    parentRouter: string;
    suffixList: Array<{
        icon?: string;
        label: string;
    }>;
}
