export interface MenuItemModel {
    id: string;
    name: string;
    type: string;
    accessible?: boolean;
    subnodeCnt: number;
    parentId: string;
    parentIds: string;
    level?: number;
    sort: number;
    href?: string;
    icon?: string;
    tooltip?: string;
    expanded?: boolean;
    children?: Array<MenuItemModel>;
    [key: string]: any;
}
