import { OnChanges, OnDestroy, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { MenuItemModel } from '../../menu.model';
import { MiniSideMenuStatusService } from './mini-side-menu-status.service';
import { MenuService } from '../../menu.service';
export declare class MiniSideMenuComponent implements OnInit, OnChanges, OnDestroy {
    private router;
    private menuService;
    private statusService;
    defaultActiveFirst: boolean;
    menuData: MenuItemModel;
    private _unsubscribe;
    constructor(router: Router, menuService: MenuService, statusService: MiniSideMenuStatusService);
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
    updateContent(): void;
    private findRouterMatch;
    private getParentIds;
    private selectItemById;
    private cleanSelection;
    private activeFirstRouter;
}
