import { ActivatedRouteSnapshot, CanActivate, CanActivateChild, Route, Router, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { AuthService } from '../auth/auth.service';
import { UniversalService } from '../util/universal.service';
export declare class AuthGuard implements CanActivate, CanActivateChild {
    private authService;
    private universalService;
    private router;
    constructor(authService: AuthService, universalService: UniversalService, router: Router);
    can(): Observable<any> | Promise<boolean> | boolean;
    canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | Promise<boolean> | boolean;
    canActivateChild(childRoute: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<boolean> | Promise<boolean> | boolean;
    canLoad(route: Route): Observable<boolean> | Promise<boolean> | boolean;
}
