import { ActivatedRouteSnapshot, CanDeactivate, RouterStateSnapshot, UrlTree } from '@angular/router';
import { Observable } from 'rxjs';
import { NotifyService } from '../../shared/components/notification/notify.service';
export declare class DeactivateGuard implements CanDeactivate<ChangeDetector> {
    private notifyService;
    pendingObserver: Observable<boolean>;
    headerChecked: boolean;
    constructor(notifyService: NotifyService);
    can(component: ChangeDetector, fromHeader?: boolean): Observable<boolean>;
    canDeactivate(component: ChangeDetector, currentRoute: ActivatedRouteSnapshot, currentState: RouterStateSnapshot, nextState?: RouterStateSnapshot): Observable<boolean | UrlTree> | Promise<boolean | UrlTree> | boolean | UrlTree;
}
export interface ChangeDetector {
    hasUnsavedChanges(): boolean;
}
