import { FloatLabelType } from '@angular/material';
/**
 * up 动态表单layout配置
 */
export interface UPDynamicFormLayoutConfig {
    /**
     * 是否显示fieldset
     */
    fieldset?: boolean;
    /**
     * fieldset标题
     */
    fieldsetName?: string;
    /**
     * 水平总格数
     */
    totalCols?: number;
    /**
     * 每个cell默认占列数
     */
    cellCols?: number;
    /**
     * 行高, 单位px
     */
    rowHeight?: number;
    /**
     * 默认标签样式
     */
    labelStyle?: FloatLabelType | 'left';
}
