import { DataSource } from '@angular/cdk/collections';
import { Observable } from 'rxjs';
export declare class NestedSelectionDatasource<T> extends DataSource<T> {
    private dataStream;
    private _data;
    private _unsubscribe;
    constructor(dataStream: Observable<Array<T>>);
    connect(): Observable<Array<T>>;
    disconnect(): void;
    lookup(id: any): Observable<T>;
    findChildren(parentId: any): Observable<Array<T>>;
    private find;
}
