import { OnInit } from '@angular/core';
import { AbstractControl, ValidationErrors, Validator } from '@angular/forms';
export declare class WhiteSpaceValidatorDirective implements Validator, OnInit {
    private validator;
    ngOnInit(): void;
    validate(c: AbstractControl): ValidationErrors | undefined;
}
export declare class EmptyStringValidatorDirective implements Validator, OnInit {
    private validator;
    ngOnInit(): void;
    validate(c: AbstractControl): ValidationErrors | null;
}
export declare class IsNumberValidatorDirective implements Validator, OnInit {
    private validator;
    ngOnInit(): void;
    validate(c: AbstractControl): ValidationErrors | null;
}
export declare class IsInLengthRangeValidatorDirective implements Validator, OnInit {
    minValue: number;
    maxValue: number;
    private validator;
    ngOnInit(): void;
    validate(c: AbstractControl): ValidationErrors | null;
}
export declare class IsInNumberRangeValidatorDirective implements Validator, OnInit {
    minValue: number;
    maxValue: number;
    private validator;
    ngOnInit(): void;
    validate(c: AbstractControl): ValidationErrors | null;
}
export declare class IdentityCardValidatorDirective implements Validator, OnInit {
    private validator;
    ngOnInit(): void;
    validate(c: AbstractControl): ValidationErrors | null;
}
export declare class RealNameValidatorDirective implements Validator, OnInit {
    private validator;
    ngOnInit(): void;
    validate(c: AbstractControl): ValidationErrors | null;
}
