import { ElementRef, OnInit, Renderer2, ViewContainerRef, ComponentRef, ComponentFactoryResolver } from '@angular/core';
import { LoadingComponent } from '../components/loading/loading.component';
export declare class LoadingDirective implements OnInit {
    private el;
    private renderer2;
    viewContainerRef: ViewContainerRef;
    private componentFactoryResolver;
    component: ComponentRef<LoadingComponent>;
    appLoading: boolean;
    constructor(el: ElementRef, renderer2: Renderer2, viewContainerRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver);
    ngOnInit(): void;
}
